Have ideas to improve npm?Join in the discussion! »

patternplate-legacy-defaults

1.2.0 • Public • Published

patternplate-legacy-defaults

Legacy defaults for patternplate projects migrating from 0.x.

Rationale

patternplate-server dropped default configurations for .transforms and .patterns with the update from 0.18 to 1.0.

To make migrating from 0.18 easier the former defaults moved to this project.

Warning
⚠️ This installs the former default patternplate-transform-* packages with the exact versions used by patternplate at version 0.18. For most transforms further development takes place on higher, breaking version. To benefit from advances in transform development upgrade to the latest versions of the transforms you use.

Installation

Grab it from npm

npm install --save patternplate-legacy-defaults

Usage

Merge legacy transforms default configuration

// configuration/patternplate-server/transforms.js
const defaults = require('patternplate-legacy-defaults');
const merge = require('lodash.merge');
module.exports = merge({}, defaults.transforms, {});

Merge legacy patterns default configuration

// configuration/patternplate-server/patterns.js
const defaults = require('patternplate-legacy-defaults');
const merge = require('lodash.merge');
module.exports = merge({}, defaults.patterns, {});

Use to restore default task configuration

// configuration/patternplate-server/tasks.js
const merge = require('lodash.merge');
const defaults = require('patternplate-legacy-defaults');
const patterns = require('./patterns');
const transforms = require('./transforms');
 
const inherited = {patterns, transforms};
 
module.exports = merge({},
  {
    // inherit common pattern and transforms config
    'build-bundles': inherited,
    'build-commonjs': inherited
  },
  defaults.tasks, // pull in legacy defaults
  {
    // your specific configuration
  }
)

Included transforms

The following transforms are included in patternplate-legacy-defaults. For convenience the transform packages are clustered:

  • No active development - Update to current version
  • Active development - Safe to use
Transform Name Included Current Active
babel 0.2.1 1
browserify 0.3.5 1
less 0.2.5 2
markdown 0.1.1 0.1.1
react 0.4.13 1
react-mount 0.1.2 0.1
react-to-markup 0.3.8 1
resolve-imports 0.1.1 0.1
resolve-includes 0.1.4 0.1
uglify 0.1.0 0.1

Released under the MIT License

Install

npm i patternplate-legacy-defaults

DownloadsWeekly Downloads

2

Version

1.2.0

License

MIT

Last publish

Collaborators

  • avatar
  • avatar
  • avatar
  • avatar